    /*
     *  call-seq:
     *     index_reader.term_positions -> TermDocEnum
     *
     *  Same as IndexReader#term_docs except the TermDocEnum will also allow you
     *  to scan through the positions at which a term occurs. See TermDocEnum for
     *  more info.
     */
    static VALUE
    frt_ir_term_positions(VALUE self)
    {
        IndexReader *ir = (IndexReader *)DATA_PTR(self);
        return frt_get_tde(self, ir->term_positions(ir));
    }